### Enumeration

# Cogl DriverId

#### Declaration

    enum Cogl.DriverId

#### Description [src]

Identifiers for underlying hardware drivers that may be used by Cogl for rendering.

#### Members

`COGL_DRIVER_ID_ANY`

  Implies no preference for which driver is used.

  - Value: `0`
  - Available since: 16
`COGL_DRIVER_ID_NOP`

  A No-Op driver.

  - Value: `1`
  - Available since: 16
`COGL_DRIVER_ID_GL3`

  An OpenGL driver using the core GL 3.1 profile.

  - Value: `2`
  - Available since: 16
`COGL_DRIVER_ID_GLES2`

  An OpenGL ES 2.0 driver.

  - Value: `3`
  - Available since: 16